# Time Travel

This is my personal pet theory about time travel which would solve all the various time travel paradoxes that come up in popular fiction.

At some point I'll turn this into a blog post, with diagrams and/or animations.

-----

### Tape Analogy for Time

Visualize time as being frames on a strip of film, where each frame is a snapshot of the entire universe "frozen" in time, and time progresses when a "reader" is scanning through the frames, as though playing a movie in a VCR. In this analogy, you can imagine the "present" as the VCR reader head, and when the movie is playing, the film strip of time passes by the reader head "at the speed of time."

So if one could theoretically rewind the tape and hit play again, the "present" will have jumped back into the past and it plays through the frames of time again, at the normal speed of time. But for the sake of this theory, pretend that this never happens -- **THE** present never gets rewound or fast forwarded, and in the beginning, there is only one reader head: **THE** present.

### Build a Time Machine

And now you've built yourself a time machine and use it to jump back 50 years into the past. In our VCR analogy, when you jumped into the past, you've added a *second* reader head to the tape. So the tape is still playing at the normal speed of time, but now there are two readers: the present, which hasn't changed, and a new "past" reader that sees the tape 50 years after the present has seen it (the tape moves right-to-left, future-to-past, and a specific frame on the tape would scan past the "present" reader before it reaches the "past" reader further to the left).

So far so good: two readers, reading the same static history of the universe, but at different spots. Time is passing for each reader at the normal speed of time, they're just seeing two different slices of it from 50 years apart.

### Change History

Now suppose you, in the 50-years-ago "past", have done something to change history, such as killing your own grandma and trying to cause a time travel paradox -- you'd no longer be born, so you don't exist, but how did you time travel into the past then to make sure you won't exist?

So when history is changed, the "Past" reader head now begins to *write* to the tape, as though it's recording over top of the existing film.

However: the Present and Past heads are 50 years apart, and the tape moves at a constant speed for them both. The changes made by the Past head *will never catch up* to the Present. Anybody who was alive just one second into the future when you made a change, they would *never* see your change: it would *always* be one second in their past. Or put another way: you could time travel to the past, kill your grandma, and time travel back to your original present, and nothing at all would've changed. Everyone still lived and died like they always had and you apparently didn't cause any universe-shattering paradox after all.

The altered past would overtake history at the speed of time, one frame at a time. But it will never catch up to the original present.

### Change the Future?

If you had jumped 50 years into the future, now you've have a new "Future" read head that gets to peek at the film before the Present gets to see.

If you changed something here, your original Present *would* eventually see it after it catches up in 50 years. This is fine though; most time travel paradoxes come from rewriting the past, not the future.